Usage: make_user -u=<user> {-p=<password>|-pf=<password file>} -g=<group name> <args>

 -u=<user> specify admin user name;
 -p=<password> specify admin user password;
 -g=<group name> specify admin user's group;
 -pf=<password file> Specifies the file holding the clean text password.
                     If this argument is not used, the system assumes the password value to be the password.
                     This argument is mutually exclusive with the -p argument.
 the args include the following;
 -password=<pswd>  ensure the user has the given password.
 -volume=<name>    create a volume of the given name if
 -person=<name>    creates a person of the given name.
 -role=<name>      creates a role of the given name.
 -group=<name>     creates a group of the given name.
 -user=<name>      creates a user of the given name.
                   it does not exist in the data base yet.
 -node=<nodename>  the node where the volume is created.
 -path=<pathname>  the path where the volume is created.

    NOTE:  The following four arguments are related to the FMS
           master configuration.
           One and only one of the arguments -fscid, -filestoregroupid,
           and -loadbalancerid must be supplied.

    -fscid=<fsc id>
                      the FSC ID in the FMS config to which the
                      volume element will be added.
    -filestoregroupid=<filestore group id>
                      the Filestore Group ID in the FMS config to which the
                      volume element will be added.
    -loadbalancerid=<load balancer id>
                      the Load Balancer ID in the FMS config to which the
                      volume element will be added.

 -os               use the password and group files to create users (UNIX ONLY)
 -file=<filename>  read file to create users or modify existing users, groups and roles 
                   after other arguments are processed.
                   each record in the file contains:
                   person|user|password|group|role[|option1_name|option1_value|option2_name|option2_value|....|update] 
                   When creating users from the file, 
                   password and role can be null (i.e. ||)
                   role defaults to the last value specified in either
                   the file or on the command line(-role=)
                   When modifying an existing user, group or role,
                   specify the options that need to be modified by 
                   (option_name|option_value) pairs followed by update option at the end. 
                   When creating users from file on UNIX, passwords would be auto-generated 
                   if they are specified as $GEN$ or $gen$. 
 -update                    Option to modify existing user, group or role. 
 -rename=<newname>          Option to rename existing user, group or role and person.
 -status=<status>           ensures the user has the given status. 
                            0(Active) or 1(Inactive).
 -licenselevel=<licenselevel>   ensures the user has the given license level. 
                                'author', 'occasionaluser', 'viewer' or 'consumer'.
 -licensebundle=<licensebundle> sets the user to use the given license bundle.
 -description=<description> sets the description for group and/or role.
 -security=<security>       sets a group's security. 
                            Defaults to NULL when the option is not specified. 
 -privilege=<privilege>     sets a group's privilege. 
                            A group's privilege can be either 0 (Non DBA) or 1 (DBA). 
 -parent=<parent>           sets the group's parent group. The parent should be an existing one.
 -defaultgroup=<defaultgroup>   sets the given group as the User's default group. 
                                The defaultgroup should be an existing one. 
                                Also the user should be a member of the defaultgroup. 
 -defaultvolume=<defaultvolume> sets the given volume as the User's and/or Group's default volume. 
                                The defaultvolume should be an existing one. 
 -defaultlocalvolume=<defaultlocalvolume> sets the given volume as the User's and/or Group's default loacl volume. 
                                          The defaultlocalvolume should be an existing one, and different from the
                                          users default volume. 
 -defaultrole=<defaultrole>     sets the given role as the Group's default role. 
                                The defaultrole should be an existing one. 
 -disciplinedescription=<disciplinedescription>   sets the description for discipline. 
 -disciplinerate=<disciplinerate> sets the rate for discipline. 
 -disciplinecurrency=<disciplinecurrency> sets the currency for discipline. 
 -nationality=<nationality> sets user's nationality. 
 -geography=<geography> sets user's geography. 
 -ip_clearance=<ip clearance> sets user's ip clearance. 
 -gov_clearance=<government clearnce> set user's government clearance. 
 -citizenships=<citizenships of user> set user's citizenships
 -PA1=<PA1> set person's PA1 attribute(address OOTB).
 -PA2=<PA2> set person's PA2 attribute(city OOTB).
 -PA3=<PA3> set person's PA3 attribute(state OOTB).
 -PA4=<PA4> set person's PA4 attribute(zip code OOTB).
 -PA5=<PA5> set person's PA5 attribute(country OOTB).
 -PA6=<PA6> set person's PA6 attribute(organization OOTB).
 -PA7=<PA7> set person's PA7 attribute(GID OOTB).
 -PA8=<PA8> set person's PA8 attribute(mailcode OOTB).
 -PA9=<PA9> set person's PA9 attribute(email address OOTB).
 -PA10=<PA10> set person's PA10 attribute(phone number OOTB).
 -ga=<group member admin privilege> sets group member's admin privilege. 
                                    true/t/yes/y/1 (admin) or false/f/no/n/0(non admin). 
 -gm_status=<group member status> sets group member status. 
                                  true/t/yes/y/1 (inactive) or false/f/no/n/0(active). 
 -V                             turn on verbose mode

 User creation requires the -person, -group and -user arguments.

 If user and group are specifed the user will be made a
 member of that group. If a role is given as well as a user 
 and group, then the member created will be given that role.

 If the -os switch is specified, then all groups in the group file
 will be created, and all of the users in the password file will
 be created and made members of every group to which they belong
 in the operating system.  If the -group switch is included with
 the -os switch, then only that group will be created, and all
 people who are members of that group will be created and added
 to that group.  If the -role switch is also included, then all
 users that are created will be assigned that role.

 Volume creation requires -volume, -node and -path arguments.

 If the -volume switch is specified, then all of the groups that 
 are created will be granted access to the volume.  If the specified
 group already exists and does not have a default volume,   
 then the volume will be designed as the group's default volume.

 When specifying -defaultrole, -defaultgroup, -defaultvolume, -defaultlocalvolume and -parent 
 defaultrole, defaultgroup, defaultvolume, defaultlocalvolume and parent objects should be existing objects. 

 Only one object - user, group or role - can be updated at a time. 
 With update option, if user, group and role options are specified, 
 user object is assumed as the target object for updation. 
 If group, role [with no user option] options are specified 
 then group object will be updated. 
 If role option is specified [with no user and group options] then role will be updated.
 The object that needs to be updated should already exist.

 Group privilege can be either 0 or 1.
 A privilege value of 1 implies that the Group has DBA privileges. 
 A 0 implies a non-DBA group. Defaults to 0 when the option is not specified.

 Valid values for status option are 0 - Active and 1 - Inactive. 
 Defaults to Active when the option is not specified. 
 Valid values for licenselevel option are 'author', 'occasionaluser', 'viewer' and 'consumer'. 
 Defaults to consumer when the option is not specified. 

